summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMaxime Lombard <berillions@gmail.com>2019-03-01 16:43:04 +0100
committerNick Sarnie <sarnex@gentoo.org>2019-03-02 13:50:49 -0500
commit82fb0d393de1ed1f203f205788dde28d31881889 (patch)
treeb73fcb81b7e39ee3806bcbf3ca6185f65ee6b32d
parentprofiles: Mask some X packages for removal (diff)
downloadgentoo-82fb0d393de1ed1f203f205788dde28d31881889.tar.gz
gentoo-82fb0d393de1ed1f203f205788dde28d31881889.tar.bz2
gentoo-82fb0d393de1ed1f203f205788dde28d31881889.zip
dev-util/vulkan-tools: Bump version
Version bump to 1.1.101. Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Maxime Lombard <berillions@gmail.com> Signed-off-by: Nick Sarnie <sarnex@gentoo.org>
-rw-r--r--dev-util/vulkan-tools/Manifest1
-rw-r--r--dev-util/vulkan-tools/vulkan-tools-1.1.101.ebuild92
2 files changed, 93 insertions, 0 deletions
diff --git a/dev-util/vulkan-tools/Manifest b/dev-util/vulkan-tools/Manifest
index 58996a8c823..13c234b06dd 100644
--- a/dev-util/vulkan-tools/Manifest
+++ b/dev-util/vulkan-tools/Manifest
@@ -1,2 +1,3 @@
+DIST vulkan-tools-1.1.101.tar.gz 351619 BLAKE2B d00a8adc687c6ac513748fd706b7167dd6e929f37ed2315b8c5e7f302976625848e9ad383261e8948adfc6926247676ccec2b6c8143d23343c4022f3a20795db SHA512 e4f5c3236eded7c17f381a9d6cdd20930444c486d0c8c3aaf67f5a46b3787643517e29d3d5d7305e72a60450b0e73daed996a9336a4166ab5241585e85190387
DIST vulkan-tools-1.1.82.0.tar.gz 342321 BLAKE2B 8591e7b16b59a1f839639642b652bcb040d9d1695a7e1cc3ccbc791703504647a517a6632db90bff9a21f7417d2219f2b7720ae1798795b31171e798b8d12ff5 SHA512 214cd30b03bf11310fe890bbcc082e515125a89591a225d113412bc41d302f8bc9a8598faaf8ca7acbd9c9ee3da43431564572e9495d966a13f90d277115d9c5
DIST vulkan-tools-1.1.92.0.tar.gz 344286 BLAKE2B 2bbf19b458b780f26b5520fa298416cda50c951fd04529da4fdf77b0e2c57d38ca1dd7e9bd08cb14cf9a7eda0b5a58623f7a75e0d421d1511ed50056c2b369ca SHA512 cdca9332b399300b7011c90ab25a8227028009ffade9c587788229175476a000843a340625691a6a7970433961b776d8aab69332a4d3b5a2d89fdc18330302cc
diff --git a/dev-util/vulkan-tools/vulkan-tools-1.1.101.ebuild b/dev-util/vulkan-tools/vulkan-tools-1.1.101.ebuild
new file mode 100644
index 00000000000..7c544ec45b9
--- /dev/null
+++ b/dev-util/vulkan-tools/vulkan-tools-1.1.101.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python3_{4,5,6} )
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/KhronosGroup/Vulkan-Tools.git"
+ EGIT_SUBMODULES=()
+ inherit git-r3
+else
+ EGIT_COMMIT="35464647e75e0385973664d8443a6c000f1c292d"
+ KEYWORDS="~amd64"
+ SRC_URI="https://github.com/KhronosGroup/Vulkan-Tools/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+ S="${WORKDIR}/Vulkan-Tools-${EGIT_COMMIT}"
+fi
+
+inherit python-any-r1 cmake-multilib
+
+DESCRIPTION="Official Vulkan Tools and Utilities for Windows, Linux, Android, and MacOS"
+HOMEPAGE="https://github.com/KhronosGroup/Vulkan-Tools"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="+cube +vulkaninfo X wayland"
+
+DEPEND="${PYTHON_DEPS}
+ cube? ( dev-util/glslang:=[${MULTILIB_USEDEP}] )
+ dev-util/vulkan-headers
+ media-libs/vulkan-loader:=[${MULTILIB_USEDEP},wayland?,X?]
+ wayland? ( dev-libs/wayland:=[${MULTILIB_USEDEP}] )
+ X? (
+ x11-libs/libX11:=[${MULTILIB_USEDEP}]
+ x11-libs/libXrandr:=[${MULTILIB_USEDEP}]
+ )"
+
+# Vulkaninfo does not support wayland
+REQUIRED_USE="|| ( X wayland )
+ vulkaninfo? ( X )"
+
+pkg_setup() {
+ MULTILIB_CHOST_TOOLS=()
+
+ if use vulkaninfo; then
+ MULTILIB_CHOST_TOOLS+=( /usr/bin/vulkaninfo )
+ fi
+
+ if use cube; then
+ MULTILIB_CHOST_TOOLS+=(
+ /usr/bin/vkcube
+ /usr/bin/vkcubepp
+ )
+ fi
+
+ python-any-r1_pkg_setup
+}
+
+multilib_src_configure() {
+ local mycmakeargs=(
+ -DCMAKE_SKIP_RPATH=True
+ -DBUILD_CUBE=$(usex cube)
+ -DBUILD_VULKANINFO=$(usex vulkaninfo)
+ -DBUILD_WSI_WAYLAND_SUPPORT=$(usex wayland)
+ -DBUILD_WSI_XCB_SUPPORT=$(usex X)
+ -DBUILD_WSI_XLIB_SUPPORT=$(usex X)
+ -DGLSLANG_INSTALL_DIR="/usr"
+ -DVULKAN_HEADERS_INSTALL_DIR="/usr"
+ )
+
+ # Upstream only supports one window system at a time
+ # If X is set at all, even if wayland is set, use X
+ #
+ # If -cube and/or -vulkaninfo is set, the flags we set
+ # are ignored, so we don't need to consider that
+ if use X; then
+ mycmakeargs+=(
+ -DCUBE_WSI_SELECTION="XCB"
+ )
+ fi
+
+ if ! use X && use wayland; then
+ mycmakeargs+=(
+ -DCUBE_WSI_SELECTION="WAYLAND"
+ )
+ fi
+
+ cmake-utils_src_configure
+}
+
+multilib_src_install() {
+ cmake-utils_src_install
+}